Bug 428228 - Review Request: OpenEXR_Viewers - Viewers programs for OpenEXR
Review Request: OpenEXR_Viewers - Viewers programs for OpenEXR
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On: 403741
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-09 21:26 EST by Nicolas Chauvet (kwizart)
Modified: 2008-05-10 17:50 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-10 17:50:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rdieter: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nicolas Chauvet (kwizart) 2008-01-09 21:26:59 EST
Spec URL:
http://kwizart.fedorapeople.org/SPECS/OpenEXR_Viewers.spec
SRPM URL:
http://kwizart.fedorapeople.org/SRPMS/OpenEXR_Viewers-1.0.1-1.kwizart.fc8.src.rpm
Description: Viewers programs for OpenEXR
Comment 1 Rex Dieter 2008-05-09 12:15:00 EDT
finally a round-tuit.

Eww, alternatives, but looks like there's no choice here if you want to try to
provide the extra (non-modular) functionality.

Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=602465
Comment 2 Rex Dieter 2008-05-09 12:47:11 EDT
rpmlint clean.

$ md5sum *.tar.gz
e7b77c320a00cd89ef50605ba2a374cd  openexr_viewers-1.0.1.tar.gz
sources: ok
license: ok
scriptlets: ok
file list: ok

everything else is simple enough, APPROVED.

Comment 3 Rex Dieter 2008-05-09 12:49:21 EDT
Oh, one more thing, please add:
Obsoletes: OpenEXR-utils < 1.6.0

which is where exrdisplay used to be way back when... :)
Comment 4 Nicolas Chauvet (kwizart) 2008-05-09 13:22:33 EDT
Okay - Thx for the review
I wonder if I would need to add:
Provides /usr/bin/exrdisplay since i'm using an alternative name in this case?

added:
# Last version was in F-7 - Can be dropped in F-10
Obsoletes: OpenEXR-utils < 1.6.0

Comment 5 Rex Dieter 2008-05-09 13:30:47 EDT
Actually, my preference (tho some disagree with me), is to %ghost it, so that
the alternative is owned.

ie, in %install
touch %buildroot%{_bindir}/exrdisplay

and in %files
%ghost %{_bindir}/exrdisplay


but, Provides is an option too, I'll leave that up to you.
Comment 6 Nicolas Chauvet (kwizart) 2008-05-09 17:08:33 EDT
New Package CVS Request
=======================
Package Name: OpenEXR_Viewers
Short Description: Viewers programs for OpenEXR
Owners: kwizart
Branches: F-8 F-9 EL-5
Cvsextras Commits: yes

Comment 7 Kevin Fenzi 2008-05-10 00:09:47 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.